跳至內容

ERNIE-Image Trainer

整合

模型 id ernie-image-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ernie-image-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $2.40 2,400 API 點數 在此頁面執行

取得 API 金鑰
Baidu 訓練 #lora#personalization#trainer

從包含圖說圖片的 zip 檔訓練 Ernie Image 的 LoRA

Baidu · 檔案

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

包含輸入圖像及其說明檔案的 ZIP 封存檔 URL。圖像檔名請使用 ROOT.EXT,例如 001.jpg;相符的說明請使用 ROOT.txt,例如 001.txt。沒有說明文字檔的圖像會使用 default_caption。

預設 2000

訓練步數總數。

進階 default_caption · learning_rate

用於取代缺少說明檔案的說明;使用 None 則會將缺少說明檔案視為錯誤。

預設 0.0005

訓練學習率。

POST /run/ernie-image-trainer?wait=20 報價 → $2.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ernie-image-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 ERNIE-Image Trainer

從 `images_data_url` 微調 LoRA;該參數是包含圖片及相符圖說文字檔的 zip 檔。`steps` 範圍為 10 至 40000(預設 2000),`learning_rate` 預設為 0.0005。`default_caption` 會填入缺少的圖說檔案。輸出為設定檔和 diffusers LoRA 權重。

參數

名稱類型 預設值允許值 說明
images_data_url必填
類型string
包含輸入圖像及其說明檔案的 ZIP 封存檔 URL。圖像檔名請使用 ROOT.EXT,例如 001.jpg;相符的說明請使用 ROOT.txt,例如 001.txt。沒有說明文字檔的圖像會使用 default_caption。
steps選填
類型integer
預設值2000
10 – 40,000
訓練步數總數。
default_caption選填
類型string | null
用於取代缺少說明檔案的說明;使用 None 則會將缺少說明檔案視為錯誤。
learning_rate選填
類型number
預設值0.0005
訓練學習率。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ernie-image-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2400,
    "usd": "2.40",
    "charged": 2400,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
diffusers_lora_file
object {url, content_type, file_name, file_size}指向 diffusers 格式訓練後 LoRA 權重的 URL。
config_file
object {url, content_type, file_name, file_size}指向訓練後模型設定檔的 URL。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/ernie-image-trainer.md. 所有模型與指南: https://doitong.com/developers/llms.txt